
// @fn 是对应请求数据
// @ms 是用户多次触发事件的时间间隔 是一个毫秒数
export function throttle(fn, ms = 800){
  let flag = true;

  return (...args) => {
    if(!flag) return;

    flag = false;
    
    const t = setTimeout(()=>{
      clearTimeout(t);
      flag = true
    }, ms);

    return fn(...args);
  }
}
